Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 > Struct Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/callbacks.h>`

Inherits Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >.

## Public Types
typedef R | ResultType
typedef R(* | InvokeType )(AbstractFunctorCaller *, Arg1, Arg2, Arg3)
Public Types inherited from Tp::AbstractFunctorCaller
typedef void *(* | HookType )(void *)

## Public Member Functions
| FunctorCaller3 (const Functor &functor)
Public Member Functions inherited from Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >
| BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
virtual | ~BaseFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const
Public Member Functions inherited from Tp::AbstractFunctorCaller
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()

## Static Public Member Functions
static ResultType | invoke (AbstractFunctorCaller *call, Arg1 a1, Arg2 a2, Arg3 a3)

## Additional Inherited Members
Public Attributes inherited from Tp::BaseFunctorCaller< FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >, Functor >
Functor | functor
Public Attributes inherited from Tp::AbstractFunctorCaller
HookType | invokeMethodHook

## Member Typedef Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

typedef R Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::ResultType

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

typedef R(* Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::InvokeType)(AbstractFunctorCaller *, Arg1, Arg2, Arg3)

## Constructor & Destructor Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::FunctorCaller3 | ( | const Functor & | functor | ) |
| inlineexplicit

## Member Function Documentation

template<class Functor , class R , class Arg1 , class Arg2 , class Arg3 >

static ResultType Tp::FunctorCaller3< Functor, R, Arg1, Arg2, Arg3 >::invoke | ( | AbstractFunctorCaller * | call,
|  | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3
| ) |  |
| inlinestatic